# App-Konfigurations-API

## configureApplication für iOS

Konfiguriert die iOS-Plattform für die App.

`POST` `https://api.pushwoosh.com/json/1.3/configureApplication`


#### Request Body

| Name | Typ | Beschreibung |
| -------------------------- | ------- |--------------------------------------------------|
| auth | string | [API-Zugriffstoken](/de/developer/api-reference/api-identifiers/#api-access-token) aus dem Pushwoosh Control Panel |
| application | string | [Pushwoosh-Anwendungscode](/de/developer/api-reference/api-identifiers/#application-code) |
| device\_type | integer | Muss 1 für iOS sein |
| ios\_key\_management\_type | string | "manual" |
| ios\_key\_file | string | Base64-kodierter Inhalt der iOS-Schlüsseldatei |
| ios\_key\_password | string | Passwort für die iOS-Schlüsseldatei |
| ios\_gateway | integer | "0" für Sandbox, "1" für Produktion |
| ios\_framework | string | Mögliche Werte: "native", "cordova", "titanium" |


<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": {
    "providers": {
      "ios": true,
      "amazon": false,
      "android": false,
      "baidu_android": false,
      "chrome": false,
      "email": false,
      "firefox": false,
      "huawei_android": false,
      "internet_explorer": false,
      "osx": false,
      "safari": false,
      "sms": false,
      "web": false,
      "whats_app": false,
      "windows": false
    }
  }
}
```
</TabItem>
</Tabs>


```json title="Beispiel"
{
  "request": {
    "auth": "yxoPUlwqm…………pIyEX4H",      // erforderlich. API-Zugriffstoken aus dem Pushwoosh Control Panel
    "application": "XXXXX-XXXXX",        // erforderlich. Pushwoosh-Anwendungscode
    "device_type": 1,                    // erforderlich. 1 für iOS
    "ios_key_management_type": "manual", // erforderlich. "manual"
    "ios_key_file": "MIIMY...BAQ==",     // erforderlich. Base64-kodierter Inhalt der iOS-Schlüsseldatei
    "ios_key_password": "password",      // erforderlich.
    "ios_gateway": 1,                    // erforderlich. "0" (Sandbox) | "1" (Produktion)
    "ios_framework": "native"            // erforderlich. mögliche Werte: "native", "cordova", "titanium",
                                         //           "marmalade", "adobeAir", "corona", "xamarin",
                                         //           "phoneGapBuild", "triggerIO", "unity"
  }
}


```

## configureApplication für Android

Konfiguriert die Android-Plattform für die App.

`POST` `https://api.pushwoosh.com/json/1.3/configureApplication`


#### Request Body

| Name | Typ | Beschreibung |
| ---------------------------------------------------------------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| auth\* | string | [API-Zugriffstoken](/de/developer/api-reference/api-identifiers/#api-access-token) aus Ihrem Pushwoosh Control Panel. |
| application\* | string | [Pushwoosh-Anwendungscode](/de/developer/api-reference/api-identifiers/#application-code) |
| device\_type\* | integer | Muss 3 für Android sein. |
| android\_framework\* | string | Android-Framework. Mögliche Werte: native, cordova, marmalade, adobeAir, corona, xamarin, phoneGapBuild, triggerIO, titanium, unity. |
| android\_fcm\_service\_account\* | object | FCM-Dienstkontoschlüssel (JSON-Datei, die in den Firebase-Projekteinstellungen generiert wird). |

<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": {
    "providers": {
      "ios": false,
      "amazon": false,
      "android": true,
      "baidu_android": false,
      "chrome": false,
      "email": false,
      "firefox": false,
      "huawei_android": false,
      "internet_explorer": false,
      "osx": false,
      "safari": false,
      "sms": false,
      "web": false,
      "whats_app": false,
      "windows": false
    }
  }
}
```
</TabItem>
</Tabs>



<Tabs>
<TabItem label="Beispiel">
```json
{
  "request": {
    "auth": "Z2PLR....IRwTqHwCr",
    "application": "87E33-XXXXX",
    "device_type": 3,
    "android_fcm_service_account": {
      "auth_provider_x509_cert_url": "https://www.googleapis.com/oauth2/v1/certs",
      "auth_uri": "https://accounts.google.com/o/oauth2/auth",
      "client_email": "****@foobar.iam.gserviceaccount.com",
      "client_id": "115********6584854983",
      "client_x509_cert_url": "https://www.googleapis.com/robot/v1/metadata/x509/firebase-adminsdk-zffgu%40foobar.iam.gserviceaccount.com",
      "private_key": "-----BEGIN PRIVATE KEY-----\nuH/OU/fIL+i6Wm8as...\n-----END PRIVATE KEY-----\n",
      "private_key_id": "e3749********6d9",
      "project_id": "app-android",
      "token_uri": "https://oauth2.googleapis.com/token",
      "type": "service_account",
      "universe_domain": "googleapis.com"
    },
    "android_framework": "native"
  }
}

```
</TabItem>
</Tabs>

## configureApplication für Mac OS X

Konfiguriert die Mac OS X-Plattform für die App.

`POST` `https://api.pushwoosh.com/json/1.3/configureApplication`


#### Request Body

| Name | Typ | Beschreibung |
| -------------------------------------------------------------- | ------- | --------------------------------------------------- |
| auth\* | string | [API-Zugriffstoken](/de/developer/api-reference/api-identifiers/#api-access-token) aus dem Pushwoosh Control Panel. |
| application\* | string | [Pushwoosh-Anwendungscode](/de/developer/api-reference/api-identifiers/#application-code) |
| device\_type\* | integer | Muss 7 für Mac OS X sein. |
| macos\_key\_management\_type\* | string | Derzeit ist nur der Typ "manual" verfügbar. |
| macos\_cert\_file | string | Base64-kodierter Inhalt der Mac OS X-Zertifikatsdatei. |
| macos\_key\_file | string | Base64-kodierter Inhalt der Mac OS X-Schlüsseldatei. |
| macos\_key\_password | string | Passwort der Schlüsseldatei. |
| macos\_gateway\* | integer | Push-Gateway. "0" für Sandbox, "1" für Produktion. |

<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": {
    "providers": {
      "ios": false,
      "amazon": false,
      "android": false,
      "baidu_android": false,
      "chrome": false,
      "email": false,
      "firefox": false,
      "huawei_android": false,
      "internet_explorer": false,
      "osx": true,
      "safari": false,
      "sms": false,
      "web": false,
      "whats_app": false,
      "windows": false
    }
  }
}
```
</TabItem>
</Tabs>



```json title="Beispiel"
{
  "request":{
    "auth": "yxoPUlwqm…………pIyEX4H",                   // erforderlich. API-Zugriffstoken aus dem Pushwoosh Control Panel
    "application": "XXXXX-XXXXX",                     // erforderlich. Pushwoosh-Anwendungscode
    "device_type": 7,                                 // erforderlich. 7 für Mac OS X
    "macos_key_management_type": "manual",            // erforderlich. "manual" 
    "macos_cert_file": "iVBORw0KGgoAAAANSUhEUgAABB…", // optional. Base64-kodierter Inhalt der Mac OS X-Zertifikatsdatei 
    "macos_key_file": "iVBORw0KGgoAAAANSUhEUgAABB…",  // optional. Base64-kodierter Inhalt der Mac OS X-Schlüsseldatei 
    "macos_key_password": "PASSWORD",                 // optional. Passwort der Schlüsseldatei 
    "macos_gateway": 1                                // erforderlich. Push-Gateway. "0" für Sandbox oder "1" für Produktion 
  }
}
```

## configureApplication für Windows

Konfiguriert Windows-Plattformen für die App.

`POST` `https://api.pushwoosh.com/json/1.3/configureApplication`


#### Request Body

| Name | Typ | Beschreibung |
| ---------------------------------------------- | ------- | ------------------------------------------------------------------------------------- |
| auth\* | string | [API-Zugriffstoken](/de/developer/api-reference/api-identifiers/#api-access-token) aus dem Pushwoosh Control Panel. |
| application\* | string | [Pushwoosh-Anwendungscode](/de/developer/api-reference/api-identifiers/#application-code) |
| device\_type\* | integer | Muss 8 für Windows sein. |
| wns\_psid\* | string | Paketsicherheitskennung aus dem Windows Store für die App. Beginnt mit "ms-app://". |
| wns\_secret\* | string | Client Secret aus dem Windows Store für die App. |

<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": {
    "providers": {
      "ios": false,
      "amazon": false,
      "android": false,
      "baidu_android": false,
      "chrome": false,
      "email": false,
      "firefox": false,
      "huawei_android": false,
      "internet_explorer": false,
      "osx": false,
      "safari": false,
      "sms": false,
      "web": false,
      "whats_app": false,
      "windows": true
    }
  }
}
```
</TabItem>
</Tabs>



```json title="Beispiel"
{
  "request": {
    "auth": "yxoPUlwqm…………pIyEX4H",  // erforderlich. API-Zugriffstoken aus dem Pushwoosh Control Panel
    "application": "XXXXX-XXXXX",    // erforderlich. Pushwoosh-Anwendungscode
    "device_type": 8,                // erforderlich. 8 für Windows
    "wns_psid": "ms-app://…",        // erforderlich. Paketsicherheitskennung der App aus dem Windows Store
    "wns_secret": "CLIENT_SECRET"    // erforderlich. Windows Client Secret 
  }
}


```

## configureApplication für Amazon

Konfiguriert die Amazon-Plattform für die App.

`POST` `https://api.pushwoosh.com/json/1.3/configureApplication`


#### Request Body

| Name | Typ | Beschreibung |
| ------------------------------------------------ | ------- | -------------------------------------------------------------- |
| auth\* | string | [API-Zugriffstoken](/de/developer/api-reference/api-identifiers/#api-access-token) aus dem Pushwoosh Control Panel. |
| application\* | string | [Pushwoosh-Anwendungscode](/de/developer/api-reference/api-identifiers/#application-code) |
| device\_type\* | integer | Muss 9 für Amazon sein. |
| adm\_cid\* | string | Amazon Client-ID. |
| adm\_secret\* | string | Amazon Client Secret. |
| adm\_framework\* | string | Amazon-Framework. Mögliche Werte: _native, unity, adobeAir._ |

<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": {
    "providers": {
      "ios": false,
      "amazon": true,
      "android": false,
      "baidu_android": false,
      "chrome": false,
      "email": false,
      "firefox": false,
      "huawei_android": false,
      "internet_explorer": false,
      "osx": false,
      "safari": false,
      "sms": false,
      "web": false,
      "whats_app": false,
      "windows": false
    }
  }
}
```
</TabItem>
</Tabs>



```json title="Beispiel"
{
  "request": {
    "auth": "yxoPUlwqm…………pIyEX4H",  // erforderlich. API-Zugriffstoken aus dem Pushwoosh Control Panel
    "application": "XXXXX-XXXXX",    // erforderlich. Pushwoosh-Anwendungscode
    "device_type": 9,                // erforderlich. 9 für Amazon
    "adm_cid": "CLIENT_ID",          // erforderlich. Amazon Client-ID
    "adm_secret": "CLIENT_SECRET",   // erforderlich. Amazon Client Secret
    "adm_framework": "native"        // erforderlich. mögliche Werte: native, unity, adobeAir. 
  }
}
```

## configureApplication für Chrome

Konfiguriert die Chrome-Plattform für die App.

`POST` `https://api.pushwoosh.com/json/1.3/configureApplication`


#### Request Body

| Name | Typ | Beschreibung | Erforderlich |
|------------------------------|---------|-----------------------------------------------------------------------------------------------------|----------|
| auth* | string | [API-Zugriffstoken](/de/developer/api-reference/api-identifiers/#api-access-token) aus dem Pushwoosh Control Panel. | Erforderlich |
| application* | string | [Pushwoosh-Anwendungscode](/de/developer/api-reference/api-identifiers/#application-code) | Erforderlich |
| device_type* | integer | Muss 11 für Chrome sein. | Erforderlich |
| chrome_fcm_service_account* | object | FCM-Dienstkontoschlüssel (JSON-Datei, die in den Firebase-Projekteinstellungen generiert wird). | Erforderlich |
| chrome_vapid_key* | string | Öffentlicher VAPID-Schlüssel (Voluntary Application Server Identification), der für die Authentifizierung von Push-Benachrichtigungen in Chrome verwendet wird. | Erforderlich |
| chrome_vapid_private_key* | string | Privater VAPID-Schlüssel, der zum Signieren und Senden von Push-Benachrichtigungen in Chrome verwendet wird. | Erforderlich |


```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": {
    "providers": {
      "ios": false,
      "amazon": false,
      "android": false,
      "baidu_android": false,
      "chrome": true,
      "email": false,
      "firefox": false,
      "huawei_android": false,
      "internet_explorer": false,
      "osx": false,
      "safari": false,
      "sms": false,
      "web": false,
      "whats_app": false,
      "windows": false
    }
  }
}
```



<Tabs>
<TabItem label="Beispiel">
```json
{
  "request": {
    "auth": "Z2PLR....IRwTqHwCr",
    "application": "87E33-XXXXX",
    "device_type": 11,
    "chrome_fcm_service_account": {
      "auth_provider_x509_cert_url": "https://www.googleapis.com/oauth2/v1/certs",
      "auth_uri": "https://accounts.google.com/o/oauth2/auth",
      "client_email": "****@foobar.iam.gserviceaccount.com",
      "client_id": "11529......6584854983",
      "client_x509_cert_url": "https://www.googleapis.com/robot/v1/metadata/x509/****foobar.iam.gserviceaccount.com",
      "private_key": "-----BEGIN PRIVATE KEY-----\nuH/OU/fIm8as...\n-----END PRIVATE KEY-----\n",
      "private_key_id": "e3749......e66d9",
      "project_id": "app-chrome",
      "token_uri": "https://oauth2.googleapis.com/token",
      "type": "service_account",
      "universe_domain": "googleapis.com"
    },
    "chrome_vapid_key": "BEr....KPqQvCbU",
    "chrome_vapid_private_key": "ee....flOqmSo"
  }
}

```
</TabItem>
</Tabs>

## configureApplication für Safari

Konfiguriert die Safari-Plattform für die App.

`POST` `https://api.pushwoosh.com/json/1.3/configureApplication`


#### Request Body

| Name | Typ | Beschreibung |
| --------------------------------------------------------------- | ------- |-------------------------------------------------|
| auth\* | string | [API-Zugriffstoken](/de/developer/api-reference/api-identifiers/#api-access-token) aus dem Pushwoosh Control Panel. |
| application\* | string | [Pushwoosh-Anwendungscode](/de/developer/api-reference/api-identifiers/#application-code) |
| device\_type\* | integer | Muss 10 für Safari sein. |
| safari\_key\_management\_type\* | string | Derzeit ist nur der Typ "manual" verfügbar. |
| safari\_website\_name | string | Name der Website. |
| safari\_allowed\_domains | array | Bsp.: https://site1.com", https://site2.com" |
| safari\_url\_template\* | string | Safari-URL-Vorlage, formatiert als "https://%@". |
| safari\_icon\_file | string | Base64-kodierter Inhalt einer 256x256px PNG-Datei. |
| safari\_key\_file\* | string | Base64-kodierter Inhalt der Safari .p12-Schlüsseldatei. |
| safari\_key\_password | string | Passwort für die Schlüsseldatei. |

<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": {
    "providers": {
      "ios": false,
      "amazon": false,
      "android": false,
      "baidu_android": false,
      "chrome": false,
      "email": false,
      "firefox": false,
      "huawei_android": false,
      "internet_explorer": false,
      "osx": false,
      "safari": true,
      "sms": false,
      "web": false,
      "whats_app": false,
      "windows": false
    }
  }
}
```
</TabItem>
</Tabs>



```json title="Beispiel"
{
  "request": {
    "auth": "yxoPUlwqm…………pIyEX4H",                    // erforderlich. API-Zugriffstoken aus dem Pushwoosh Control Panel
    "application": "XXXXX-XXXXX",                      // erforderlich. Pushwoosh-Anwendungscode
    "device_type": 10,                                 // erforderlich. 10 für Safari
    "safari_key_management_type": "manual",            // erforderlich. "manual"
    "safari_website_name": "WEBSITE_NAME",             // optional.
    "safari_allowed_domains": [                        // optional.
      "https://site1.com",
      "https://site2.com"
    ],
    "safari_url_template": "https://%@",               // erforderlich.
    "safari_icon_file": "iVBORw0KGgoAAAANSUhEUgAABB…", // optional. Base64-kodierter Inhalt einer 256x256px PNG-Datei
    "safari_key_file": "MIIMY...BAQ==",                // erforderlich. Base64-kodierter Inhalt der Safari .p12-Schlüsseldatei
    "safari_key_password": "PASSWORD"                  // optional. Passwort für die obige Schlüsseldatei  
  }
}


```

## configureApplication für Firefox

Konfiguriert die Firefox-Plattform für die App.

`POST` `https://api.pushwoosh.com/json/1.3/configureApplication`


#### Request Body

| Name | Typ | Beschreibung | Erforderlich |
|-------------------------------|---------|-------------------------------------------------------------------------------------------------------|----------|
| auth* | string | [API-Zugriffstoken](/de/developer/api-reference/api-identifiers/#api-access-token) aus dem Pushwoosh Control Panel. | Erforderlich |
| application* | string | [Pushwoosh-Anwendungscode](/de/developer/api-reference/api-identifiers/#application-code) | Erforderlich |
| device_type* | integer | Muss 12 für Firefox sein. | Erforderlich |
| firefox_is_enabled | boolean | Aktiviert Push-Benachrichtigungen für Firefox. | Optional |
| firefox_fcm_service_account* | object | JSON, das in den Firebase-Projekteinstellungen generiert wird. | Erforderlich |
| firefox_vapid_key* | string | Öffentlicher VAPID-Schlüssel (Voluntary Application Server Identification), der für die Authentifizierung von Push-Benachrichtigungen in Firefox verwendet wird. | Erforderlich |
| firefox_vapid_private_key* | string | Privater VAPID-Schlüssel, der zum Signieren und Senden von Push-Benachrichtigungen in Firefox verwendet wird. | Erforderlich |


<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": {
    "providers": {
      "ios": false,
      "amazon": false,
      "android": false,
      "baidu_android": false,
      "chrome": false,
      "email": false,
      "firefox": true,
      "huawei_android": false,
      "internet_explorer": false,
      "osx": false,
      "safari": false,
      "sms": false,
      "web": false,
      "whats_app": false,
      "windows": false
    }
  }
}
```
</TabItem>
</Tabs>



<Tabs>
<TabItem label="Beispiel">
```json
{
  "request": {
    "auth": "Z2PLR....IRwTqHwCr",
    "application": "87E33-XXXXX",
    "device_type": 12,
    "firefox_fcm_service_account": {
      "auth_provider_x509_cert_url": "https://www.googleapis.com/oauth2/v1/certs",
      "auth_uri": "https://accounts.google.com/o/oauth2/auth",
      "client_email": "****@foobar.iam.gserviceaccount.com",
      "client_id": "115........6584854983",
      "client_x509_cert_url": "https://www.googleapis.com/robot/v1/metadata/x509/****@foobar.iam.gserviceaccount.com",
      "private_key": "-----BEGIN PRIVATE KEY-----\n****uH/OU/fILL****fMJZ+i6****um8as.....\n-----END PRIVATE KEY-----\n",
      "private_key_id": "e3........8e66d9",
      "project_id": "app-firefox",
      "token_uri": "https://oauth2.googleapis.com/token",
      "type": "service_account",
      "universe_domain": "googleapis.com"
    },
    "firefox_vapid_key": "BEr....KPqQvCbU",
    "firefox_vapid_private_key": "ee....flOqmSo"
  }
}

```
</TabItem>
</Tabs>

## configureApplication für E-Mail

Konfiguriert die E-Mail-Plattform für die App.

`POST` `https://api.pushwoosh.com/json/1.3/configureApplication`


#### Request Body

| Name | Typ | Beschreibung |
| ---------------------------------------------------- | ------- | --------------------------------------------------------- |
| auth\* | string | [API-Zugriffstoken](/de/developer/api-reference/api-identifiers/#api-access-token) aus dem Pushwoosh Control Panel. |
| application\* | string | [Pushwoosh-Anwendungscode](/de/developer/api-reference/api-identifiers/#application-code) |
| device\_type\* | integer | Muss 14 für E-Mail sein. |
| email\_from\_email\* | string | E-Mail-Adresse des Absenders. Sollte gültig und verifiziert sein. |
| email\_from\_name\* | string | Name des Absenders. |
| email\_reply\* | string | E-Mail-Adresse für Antworten. Sollte gültig und verifiziert sein. |

<Tabs>
<TabItem label="200">
```json
{
  "status_code": 200,
  "status_message": "OK",
  "response": {
    "providers": {
      "ios": false,
      "amazon": false,
      "android": false,
      "baidu_android": false,
      "chrome": false,
      "email": true,
      "firefox": false,
      "huawei_android": false,
      "internet_explorer": false,
      "osx": false,
      "safari": false,
      "sms": false,
      "web": false,
      "whats_app": false,
      "windows": false
    }
  }
}
```
</TabItem>
</Tabs>



```json title="Beispiel"
{
  "request":{
    "auth": "yxoPUlwqm…………pIyEX4H",         // erforderlich. API-Zugriffstoken aus dem Pushwoosh Control Panel
    "application": "XXXXX-XXXXX",           // erforderlich. Pushwoosh-Anwendungscode
    "device_type": 14,                      // erforderlich. 14 für E-Mail
    "email_from_email": "email@domain.com", // erforderlich. Die E-Mail-Adresse sollte gültig und verifiziert sein
    "email_from_name": "SENDER_NAME",       // erforderlich. Name, der im "Von"-Feld der E-Mail angezeigt wird
    "email_reply": "email@domain.com"       // erforderlich. Die E-Mail-Adresse für Antworten sollte gültig und verifiziert sein
  }
}
```